Run a synthetic send event through the adapter
POST
/v1/sending-sources/{id}/test-event
const url = 'https://api.fromenance.com/v1/sending-sources/src_01J8Z9X0Q3K4M5N6P7R8S9T0V1/test-event';const options = { method: 'POST', headers: {cookie: 'fromenance.session_token=<fromenance.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.fromenance.com/v1/sending-sources/src_01J8Z9X0Q3K4M5N6P7R8S9T0V1/test-event \ --cookie fromenance.session_token=<fromenance.session_token>Registers a sandbox communication for a test recipient so the integration engineer can see the source turn green without touching the provider.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Example
src_01J8Z9X0Q3K4M5N6P7R8S9T0V1Responses
Section titled “ Responses ”Result
Media typeapplication/json
object
ok
required
boolean
communication_id
required
string
verify_code
required
string
Example
{ "ok": true}